org.jboss.jca.common.metadata.resourceadapter

## Class AdminObjectImpl

- java.lang.Object
- - org.jboss.jca.common.metadata.resourceadapter.AdminObjectImpl

- All Implemented Interfaces:
    java.io.Serializable, org.jboss.jca.common.api.metadata.JCAMetadata, org.jboss.jca.common.api.metadata.resourceadapter.AdminObject

      public class AdminObjectImpl
      extends java.lang.Object
      implements org.jboss.jca.common.api.metadata.resourceadapter.AdminObject

  A AdminObjectImpl.
  Author:
    Stefano Maestri
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.jboss.jca.common.api.metadata.resourceadapter.AdminObject

      `org.jboss.jca.common.api.metadata.resourceadapter.AdminObject.Attribute, org.jboss.jca.common.api.metadata.resourceadapter.AdminObject.Tag`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdminObjectImpl(java.util.Map<java.lang.String,java.lang.String> configProperties, java.lang.String className, java.lang.String jndiName, java.lang.String poolName, java.lang.Boolean enabled, java.lang.Boolean useJavaContext)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getClassName()` Get the className.
    `java.util.Map<java.lang.String,java.lang.String>` | `getConfigProperties()` Get the configProperties.
    `java.lang.String` | `getJndiName()` Get the jndiName.k
    `java.lang.String` | `getPoolName()` Get the poolName.
    `int` | `hashCode()`
    `java.lang.Boolean` | `isEnabled()` Get the enabled.
    `java.lang.Boolean` | `isUseJavaContext()` Get the useJavaContext.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AdminObjectImpl

          public AdminObjectImpl(java.util.Map<java.lang.String,java.lang.String> configProperties,
                                 java.lang.String className,
                                 java.lang.String jndiName,
                                 java.lang.String poolName,
                                 java.lang.Boolean enabled,
                                 java.lang.Boolean useJavaContext)

      Constructor
      Parameters:
        `configProperties` - configProperties
        `className` - className
        `jndiName` - jndiName
        `poolName` - poolName
        `enabled` - enabled
        `useJavaContext` - useJavaContext

  - ### Method Detail

    - #### getConfigProperties

          public java.util.Map<java.lang.String,java.lang.String> getConfigProperties()

      Get the configProperties.
      Specified by:
        `getConfigProperties` in interface `org.jboss.jca.common.api.metadata.resourceadapter.AdminObject`
      Returns:
        the configProperties.

    - #### getClassName

          public java.lang.String getClassName()

      Get the className.
      Specified by:
        `getClassName` in interface `org.jboss.jca.common.api.metadata.resourceadapter.AdminObject`
      Returns:
        the className.

    - #### getJndiName

          public java.lang.String getJndiName()

      Get the jndiName.k
      Specified by:
        `getJndiName` in interface `org.jboss.jca.common.api.metadata.resourceadapter.AdminObject`
      Returns:
        the jndiName.

    - #### isEnabled

          public java.lang.Boolean isEnabled()

      Get the enabled.
      Specified by:
        `isEnabled` in interface `org.jboss.jca.common.api.metadata.resourceadapter.AdminObject`
      Returns:
        the enabled.

    - #### isUseJavaContext

          public java.lang.Boolean isUseJavaContext()

      Get the useJavaContext.
      Specified by:
        `isUseJavaContext` in interface `org.jboss.jca.common.api.metadata.resourceadapter.AdminObject`
      Returns:
        the useJavaContext.

    - #### getPoolName

          public java.lang.String getPoolName()

      Get the poolName.
      Specified by:
        `getPoolName` in interface `org.jboss.jca.common.api.metadata.resourceadapter.AdminObject`
      Returns:
        the poolName.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)